### Method

# WPEPlatform DRMDevice ref

#### Declaration [src]

    WPEDRMDevice*
    wpe_drm_device_ref (
      WPEDRMDevice* device
    )

#### Description [src]

Atomically acquires a reference on the given `device`.

This function is MT-safe and may be called from any thread.

#### Return value

Type: `WPEDRMDevice`

The same `device` with an additional reference.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.